// Code generated by mockery v2.42.3. DO NOT EDIT.

package mock_client_interface

import (
	context "context"

	api "gitlab.com/commonground/nlx/fsc-nlx/manager/ports/ext/rest/api"

	http "net/http"

	io "io"

	mock "github.com/stretchr/testify/mock"

	models "gitlab.com/commonground/nlx/fsc-nlx/manager/ports/ext/rest/api/models"
)

// MockClientInterface is an autogenerated mock type for the ClientInterface type
type MockClientInterface struct {
	mock.Mock
}

type MockClientInterface_Expecter struct {
	mock *mock.Mock
}

func (_m *MockClientInterface) EXPECT() *MockClientInterface_Expecter {
	return &MockClientInterface_Expecter{mock: &_m.Mock}
}

// AcceptContract provides a mock function with given fields: ctx, hash, params, body, reqEditors
func (_m *MockClientInterface) AcceptContract(ctx context.Context, hash string, params *models.AcceptContractParams, body models.AcceptContractJSONRequestBody, reqEditors ...api.RequestEditorFn) (*http.Response, error) {
	_va := make([]interface{}, len(reqEditors))
	for _i := range reqEditors {
		_va[_i] = reqEditors[_i]
	}
	var _ca []interface{}
	_ca = append(_ca, ctx, hash, params, body)
	_ca = append(_ca, _va...)
	ret := _m.Called(_ca...)

	if len(ret) == 0 {
		panic("no return value specified for AcceptContract")
	}

	var r0 *http.Response
	var r1 error
	if rf, ok := ret.Get(0).(func(context.Context, string, *models.AcceptContractParams, models.AcceptContractJSONRequestBody, ...api.RequestEditorFn) (*http.Response, error)); ok {
		return rf(ctx, hash, params, body, reqEditors...)
	}
	if rf, ok := ret.Get(0).(func(context.Context, string, *models.AcceptContractParams, models.AcceptContractJSONRequestBody, ...api.RequestEditorFn) *http.Response); ok {
		r0 = rf(ctx, hash, params, body, reqEditors...)
	} else {
		if ret.Get(0) != nil {
			r0 = ret.Get(0).(*http.Response)
		}
	}

	if rf, ok := ret.Get(1).(func(context.Context, string, *models.AcceptContractParams, models.AcceptContractJSONRequestBody, ...api.RequestEditorFn) error); ok {
		r1 = rf(ctx, hash, params, body, reqEditors...)
	} else {
		r1 = ret.Error(1)
	}

	return r0, r1
}

// MockClientInterface_AcceptContract_Call is a *mock.Call that shadows Run/Return methods with type explicit version for method 'AcceptContract'
type MockClientInterface_AcceptContract_Call struct {
	*mock.Call
}

// AcceptContract is a helper method to define mock.On call
//   - ctx context.Context
//   - hash string
//   - params *models.AcceptContractParams
//   - body models.AcceptContractJSONRequestBody
//   - reqEditors ...api.RequestEditorFn
func (_e *MockClientInterface_Expecter) AcceptContract(ctx interface{}, hash interface{}, params interface{}, body interface{}, reqEditors ...interface{}) *MockClientInterface_AcceptContract_Call {
	return &MockClientInterface_AcceptContract_Call{Call: _e.mock.On("AcceptContract",
		append([]interface{}{ctx, hash, params, body}, reqEditors...)...)}
}

func (_c *MockClientInterface_AcceptContract_Call) Run(run func(ctx context.Context, hash string, params *models.AcceptContractParams, body models.AcceptContractJSONRequestBody, reqEditors ...api.RequestEditorFn)) *MockClientInterface_AcceptContract_Call {
	_c.Call.Run(func(args mock.Arguments) {
		variadicArgs := make([]api.RequestEditorFn, len(args)-4)
		for i, a := range args[4:] {
			if a != nil {
				variadicArgs[i] = a.(api.RequestEditorFn)
			}
		}
		run(args[0].(context.Context), args[1].(string), args[2].(*models.AcceptContractParams), args[3].(models.AcceptContractJSONRequestBody), variadicArgs...)
	})
	return _c
}

func (_c *MockClientInterface_AcceptContract_Call) Return(_a0 *http.Response, _a1 error) *MockClientInterface_AcceptContract_Call {
	_c.Call.Return(_a0, _a1)
	return _c
}

func (_c *MockClientInterface_AcceptContract_Call) RunAndReturn(run func(context.Context, string, *models.AcceptContractParams, models.AcceptContractJSONRequestBody, ...api.RequestEditorFn) (*http.Response, error)) *MockClientInterface_AcceptContract_Call {
	_c.Call.Return(run)
	return _c
}

// AcceptContractWithBody provides a mock function with given fields: ctx, hash, params, contentType, body, reqEditors
func (_m *MockClientInterface) AcceptContractWithBody(ctx context.Context, hash string, params *models.AcceptContractParams, contentType string, body io.Reader, reqEditors ...api.RequestEditorFn) (*http.Response, error) {
	_va := make([]interface{}, len(reqEditors))
	for _i := range reqEditors {
		_va[_i] = reqEditors[_i]
	}
	var _ca []interface{}
	_ca = append(_ca, ctx, hash, params, contentType, body)
	_ca = append(_ca, _va...)
	ret := _m.Called(_ca...)

	if len(ret) == 0 {
		panic("no return value specified for AcceptContractWithBody")
	}

	var r0 *http.Response
	var r1 error
	if rf, ok := ret.Get(0).(func(context.Context, string, *models.AcceptContractParams, string, io.Reader, ...api.RequestEditorFn) (*http.Response, error)); ok {
		return rf(ctx, hash, params, contentType, body, reqEditors...)
	}
	if rf, ok := ret.Get(0).(func(context.Context, string, *models.AcceptContractParams, string, io.Reader, ...api.RequestEditorFn) *http.Response); ok {
		r0 = rf(ctx, hash, params, contentType, body, reqEditors...)
	} else {
		if ret.Get(0) != nil {
			r0 = ret.Get(0).(*http.Response)
		}
	}

	if rf, ok := ret.Get(1).(func(context.Context, string, *models.AcceptContractParams, string, io.Reader, ...api.RequestEditorFn) error); ok {
		r1 = rf(ctx, hash, params, contentType, body, reqEditors...)
	} else {
		r1 = ret.Error(1)
	}

	return r0, r1
}

// MockClientInterface_AcceptContractWithBody_Call is a *mock.Call that shadows Run/Return methods with type explicit version for method 'AcceptContractWithBody'
type MockClientInterface_AcceptContractWithBody_Call struct {
	*mock.Call
}

// AcceptContractWithBody is a helper method to define mock.On call
//   - ctx context.Context
//   - hash string
//   - params *models.AcceptContractParams
//   - contentType string
//   - body io.Reader
//   - reqEditors ...api.RequestEditorFn
func (_e *MockClientInterface_Expecter) AcceptContractWithBody(ctx interface{}, hash interface{}, params interface{}, contentType interface{}, body interface{}, reqEditors ...interface{}) *MockClientInterface_AcceptContractWithBody_Call {
	return &MockClientInterface_AcceptContractWithBody_Call{Call: _e.mock.On("AcceptContractWithBody",
		append([]interface{}{ctx, hash, params, contentType, body}, reqEditors...)...)}
}

func (_c *MockClientInterface_AcceptContractWithBody_Call) Run(run func(ctx context.Context, hash string, params *models.AcceptContractParams, contentType string, body io.Reader, reqEditors ...api.RequestEditorFn)) *MockClientInterface_AcceptContractWithBody_Call {
	_c.Call.Run(func(args mock.Arguments) {
		variadicArgs := make([]api.RequestEditorFn, len(args)-5)
		for i, a := range args[5:] {
			if a != nil {
				variadicArgs[i] = a.(api.RequestEditorFn)
			}
		}
		run(args[0].(context.Context), args[1].(string), args[2].(*models.AcceptContractParams), args[3].(string), args[4].(io.Reader), variadicArgs...)
	})
	return _c
}

func (_c *MockClientInterface_AcceptContractWithBody_Call) Return(_a0 *http.Response, _a1 error) *MockClientInterface_AcceptContractWithBody_Call {
	_c.Call.Return(_a0, _a1)
	return _c
}

func (_c *MockClientInterface_AcceptContractWithBody_Call) RunAndReturn(run func(context.Context, string, *models.AcceptContractParams, string, io.Reader, ...api.RequestEditorFn) (*http.Response, error)) *MockClientInterface_AcceptContractWithBody_Call {
	_c.Call.Return(run)
	return _c
}

// Announce provides a mock function with given fields: ctx, params, reqEditors
func (_m *MockClientInterface) Announce(ctx context.Context, params *models.AnnounceParams, reqEditors ...api.RequestEditorFn) (*http.Response, error) {
	_va := make([]interface{}, len(reqEditors))
	for _i := range reqEditors {
		_va[_i] = reqEditors[_i]
	}
	var _ca []interface{}
	_ca = append(_ca, ctx, params)
	_ca = append(_ca, _va...)
	ret := _m.Called(_ca...)

	if len(ret) == 0 {
		panic("no return value specified for Announce")
	}

	var r0 *http.Response
	var r1 error
	if rf, ok := ret.Get(0).(func(context.Context, *models.AnnounceParams, ...api.RequestEditorFn) (*http.Response, error)); ok {
		return rf(ctx, params, reqEditors...)
	}
	if rf, ok := ret.Get(0).(func(context.Context, *models.AnnounceParams, ...api.RequestEditorFn) *http.Response); ok {
		r0 = rf(ctx, params, reqEditors...)
	} else {
		if ret.Get(0) != nil {
			r0 = ret.Get(0).(*http.Response)
		}
	}

	if rf, ok := ret.Get(1).(func(context.Context, *models.AnnounceParams, ...api.RequestEditorFn) error); ok {
		r1 = rf(ctx, params, reqEditors...)
	} else {
		r1 = ret.Error(1)
	}

	return r0, r1
}

// MockClientInterface_Announce_Call is a *mock.Call that shadows Run/Return methods with type explicit version for method 'Announce'
type MockClientInterface_Announce_Call struct {
	*mock.Call
}

// Announce is a helper method to define mock.On call
//   - ctx context.Context
//   - params *models.AnnounceParams
//   - reqEditors ...api.RequestEditorFn
func (_e *MockClientInterface_Expecter) Announce(ctx interface{}, params interface{}, reqEditors ...interface{}) *MockClientInterface_Announce_Call {
	return &MockClientInterface_Announce_Call{Call: _e.mock.On("Announce",
		append([]interface{}{ctx, params}, reqEditors...)...)}
}

func (_c *MockClientInterface_Announce_Call) Run(run func(ctx context.Context, params *models.AnnounceParams, reqEditors ...api.RequestEditorFn)) *MockClientInterface_Announce_Call {
	_c.Call.Run(func(args mock.Arguments) {
		variadicArgs := make([]api.RequestEditorFn, len(args)-2)
		for i, a := range args[2:] {
			if a != nil {
				variadicArgs[i] = a.(api.RequestEditorFn)
			}
		}
		run(args[0].(context.Context), args[1].(*models.AnnounceParams), variadicArgs...)
	})
	return _c
}

func (_c *MockClientInterface_Announce_Call) Return(_a0 *http.Response, _a1 error) *MockClientInterface_Announce_Call {
	_c.Call.Return(_a0, _a1)
	return _c
}

func (_c *MockClientInterface_Announce_Call) RunAndReturn(run func(context.Context, *models.AnnounceParams, ...api.RequestEditorFn) (*http.Response, error)) *MockClientInterface_Announce_Call {
	_c.Call.Return(run)
	return _c
}

// GetContracts provides a mock function with given fields: ctx, params, reqEditors
func (_m *MockClientInterface) GetContracts(ctx context.Context, params *models.GetContractsParams, reqEditors ...api.RequestEditorFn) (*http.Response, error) {
	_va := make([]interface{}, len(reqEditors))
	for _i := range reqEditors {
		_va[_i] = reqEditors[_i]
	}
	var _ca []interface{}
	_ca = append(_ca, ctx, params)
	_ca = append(_ca, _va...)
	ret := _m.Called(_ca...)

	if len(ret) == 0 {
		panic("no return value specified for GetContracts")
	}

	var r0 *http.Response
	var r1 error
	if rf, ok := ret.Get(0).(func(context.Context, *models.GetContractsParams, ...api.RequestEditorFn) (*http.Response, error)); ok {
		return rf(ctx, params, reqEditors...)
	}
	if rf, ok := ret.Get(0).(func(context.Context, *models.GetContractsParams, ...api.RequestEditorFn) *http.Response); ok {
		r0 = rf(ctx, params, reqEditors...)
	} else {
		if ret.Get(0) != nil {
			r0 = ret.Get(0).(*http.Response)
		}
	}

	if rf, ok := ret.Get(1).(func(context.Context, *models.GetContractsParams, ...api.RequestEditorFn) error); ok {
		r1 = rf(ctx, params, reqEditors...)
	} else {
		r1 = ret.Error(1)
	}

	return r0, r1
}

// MockClientInterface_GetContracts_Call is a *mock.Call that shadows Run/Return methods with type explicit version for method 'GetContracts'
type MockClientInterface_GetContracts_Call struct {
	*mock.Call
}

// GetContracts is a helper method to define mock.On call
//   - ctx context.Context
//   - params *models.GetContractsParams
//   - reqEditors ...api.RequestEditorFn
func (_e *MockClientInterface_Expecter) GetContracts(ctx interface{}, params interface{}, reqEditors ...interface{}) *MockClientInterface_GetContracts_Call {
	return &MockClientInterface_GetContracts_Call{Call: _e.mock.On("GetContracts",
		append([]interface{}{ctx, params}, reqEditors...)...)}
}

func (_c *MockClientInterface_GetContracts_Call) Run(run func(ctx context.Context, params *models.GetContractsParams, reqEditors ...api.RequestEditorFn)) *MockClientInterface_GetContracts_Call {
	_c.Call.Run(func(args mock.Arguments) {
		variadicArgs := make([]api.RequestEditorFn, len(args)-2)
		for i, a := range args[2:] {
			if a != nil {
				variadicArgs[i] = a.(api.RequestEditorFn)
			}
		}
		run(args[0].(context.Context), args[1].(*models.GetContractsParams), variadicArgs...)
	})
	return _c
}

func (_c *MockClientInterface_GetContracts_Call) Return(_a0 *http.Response, _a1 error) *MockClientInterface_GetContracts_Call {
	_c.Call.Return(_a0, _a1)
	return _c
}

func (_c *MockClientInterface_GetContracts_Call) RunAndReturn(run func(context.Context, *models.GetContractsParams, ...api.RequestEditorFn) (*http.Response, error)) *MockClientInterface_GetContracts_Call {
	_c.Call.Return(run)
	return _c
}

// GetHealth provides a mock function with given fields: ctx, reqEditors
func (_m *MockClientInterface) GetHealth(ctx context.Context, reqEditors ...api.RequestEditorFn) (*http.Response, error) {
	_va := make([]interface{}, len(reqEditors))
	for _i := range reqEditors {
		_va[_i] = reqEditors[_i]
	}
	var _ca []interface{}
	_ca = append(_ca, ctx)
	_ca = append(_ca, _va...)
	ret := _m.Called(_ca...)

	if len(ret) == 0 {
		panic("no return value specified for GetHealth")
	}

	var r0 *http.Response
	var r1 error
	if rf, ok := ret.Get(0).(func(context.Context, ...api.RequestEditorFn) (*http.Response, error)); ok {
		return rf(ctx, reqEditors...)
	}
	if rf, ok := ret.Get(0).(func(context.Context, ...api.RequestEditorFn) *http.Response); ok {
		r0 = rf(ctx, reqEditors...)
	} else {
		if ret.Get(0) != nil {
			r0 = ret.Get(0).(*http.Response)
		}
	}

	if rf, ok := ret.Get(1).(func(context.Context, ...api.RequestEditorFn) error); ok {
		r1 = rf(ctx, reqEditors...)
	} else {
		r1 = ret.Error(1)
	}

	return r0, r1
}

// MockClientInterface_GetHealth_Call is a *mock.Call that shadows Run/Return methods with type explicit version for method 'GetHealth'
type MockClientInterface_GetHealth_Call struct {
	*mock.Call
}

// GetHealth is a helper method to define mock.On call
//   - ctx context.Context
//   - reqEditors ...api.RequestEditorFn
func (_e *MockClientInterface_Expecter) GetHealth(ctx interface{}, reqEditors ...interface{}) *MockClientInterface_GetHealth_Call {
	return &MockClientInterface_GetHealth_Call{Call: _e.mock.On("GetHealth",
		append([]interface{}{ctx}, reqEditors...)...)}
}

func (_c *MockClientInterface_GetHealth_Call) Run(run func(ctx context.Context, reqEditors ...api.RequestEditorFn)) *MockClientInterface_GetHealth_Call {
	_c.Call.Run(func(args mock.Arguments) {
		variadicArgs := make([]api.RequestEditorFn, len(args)-1)
		for i, a := range args[1:] {
			if a != nil {
				variadicArgs[i] = a.(api.RequestEditorFn)
			}
		}
		run(args[0].(context.Context), variadicArgs...)
	})
	return _c
}

func (_c *MockClientInterface_GetHealth_Call) Return(_a0 *http.Response, _a1 error) *MockClientInterface_GetHealth_Call {
	_c.Call.Return(_a0, _a1)
	return _c
}

func (_c *MockClientInterface_GetHealth_Call) RunAndReturn(run func(context.Context, ...api.RequestEditorFn) (*http.Response, error)) *MockClientInterface_GetHealth_Call {
	_c.Call.Return(run)
	return _c
}

// GetJSONWebKeySet provides a mock function with given fields: ctx, reqEditors
func (_m *MockClientInterface) GetJSONWebKeySet(ctx context.Context, reqEditors ...api.RequestEditorFn) (*http.Response, error) {
	_va := make([]interface{}, len(reqEditors))
	for _i := range reqEditors {
		_va[_i] = reqEditors[_i]
	}
	var _ca []interface{}
	_ca = append(_ca, ctx)
	_ca = append(_ca, _va...)
	ret := _m.Called(_ca...)

	if len(ret) == 0 {
		panic("no return value specified for GetJSONWebKeySet")
	}

	var r0 *http.Response
	var r1 error
	if rf, ok := ret.Get(0).(func(context.Context, ...api.RequestEditorFn) (*http.Response, error)); ok {
		return rf(ctx, reqEditors...)
	}
	if rf, ok := ret.Get(0).(func(context.Context, ...api.RequestEditorFn) *http.Response); ok {
		r0 = rf(ctx, reqEditors...)
	} else {
		if ret.Get(0) != nil {
			r0 = ret.Get(0).(*http.Response)
		}
	}

	if rf, ok := ret.Get(1).(func(context.Context, ...api.RequestEditorFn) error); ok {
		r1 = rf(ctx, reqEditors...)
	} else {
		r1 = ret.Error(1)
	}

	return r0, r1
}

// MockClientInterface_GetJSONWebKeySet_Call is a *mock.Call that shadows Run/Return methods with type explicit version for method 'GetJSONWebKeySet'
type MockClientInterface_GetJSONWebKeySet_Call struct {
	*mock.Call
}

// GetJSONWebKeySet is a helper method to define mock.On call
//   - ctx context.Context
//   - reqEditors ...api.RequestEditorFn
func (_e *MockClientInterface_Expecter) GetJSONWebKeySet(ctx interface{}, reqEditors ...interface{}) *MockClientInterface_GetJSONWebKeySet_Call {
	return &MockClientInterface_GetJSONWebKeySet_Call{Call: _e.mock.On("GetJSONWebKeySet",
		append([]interface{}{ctx}, reqEditors...)...)}
}

func (_c *MockClientInterface_GetJSONWebKeySet_Call) Run(run func(ctx context.Context, reqEditors ...api.RequestEditorFn)) *MockClientInterface_GetJSONWebKeySet_Call {
	_c.Call.Run(func(args mock.Arguments) {
		variadicArgs := make([]api.RequestEditorFn, len(args)-1)
		for i, a := range args[1:] {
			if a != nil {
				variadicArgs[i] = a.(api.RequestEditorFn)
			}
		}
		run(args[0].(context.Context), variadicArgs...)
	})
	return _c
}

func (_c *MockClientInterface_GetJSONWebKeySet_Call) Return(_a0 *http.Response, _a1 error) *MockClientInterface_GetJSONWebKeySet_Call {
	_c.Call.Return(_a0, _a1)
	return _c
}

func (_c *MockClientInterface_GetJSONWebKeySet_Call) RunAndReturn(run func(context.Context, ...api.RequestEditorFn) (*http.Response, error)) *MockClientInterface_GetJSONWebKeySet_Call {
	_c.Call.Return(run)
	return _c
}

// GetLogs provides a mock function with given fields: ctx, params, reqEditors
func (_m *MockClientInterface) GetLogs(ctx context.Context, params *models.GetLogsParams, reqEditors ...api.RequestEditorFn) (*http.Response, error) {
	_va := make([]interface{}, len(reqEditors))
	for _i := range reqEditors {
		_va[_i] = reqEditors[_i]
	}
	var _ca []interface{}
	_ca = append(_ca, ctx, params)
	_ca = append(_ca, _va...)
	ret := _m.Called(_ca...)

	if len(ret) == 0 {
		panic("no return value specified for GetLogs")
	}

	var r0 *http.Response
	var r1 error
	if rf, ok := ret.Get(0).(func(context.Context, *models.GetLogsParams, ...api.RequestEditorFn) (*http.Response, error)); ok {
		return rf(ctx, params, reqEditors...)
	}
	if rf, ok := ret.Get(0).(func(context.Context, *models.GetLogsParams, ...api.RequestEditorFn) *http.Response); ok {
		r0 = rf(ctx, params, reqEditors...)
	} else {
		if ret.Get(0) != nil {
			r0 = ret.Get(0).(*http.Response)
		}
	}

	if rf, ok := ret.Get(1).(func(context.Context, *models.GetLogsParams, ...api.RequestEditorFn) error); ok {
		r1 = rf(ctx, params, reqEditors...)
	} else {
		r1 = ret.Error(1)
	}

	return r0, r1
}

// MockClientInterface_GetLogs_Call is a *mock.Call that shadows Run/Return methods with type explicit version for method 'GetLogs'
type MockClientInterface_GetLogs_Call struct {
	*mock.Call
}

// GetLogs is a helper method to define mock.On call
//   - ctx context.Context
//   - params *models.GetLogsParams
//   - reqEditors ...api.RequestEditorFn
func (_e *MockClientInterface_Expecter) GetLogs(ctx interface{}, params interface{}, reqEditors ...interface{}) *MockClientInterface_GetLogs_Call {
	return &MockClientInterface_GetLogs_Call{Call: _e.mock.On("GetLogs",
		append([]interface{}{ctx, params}, reqEditors...)...)}
}

func (_c *MockClientInterface_GetLogs_Call) Run(run func(ctx context.Context, params *models.GetLogsParams, reqEditors ...api.RequestEditorFn)) *MockClientInterface_GetLogs_Call {
	_c.Call.Run(func(args mock.Arguments) {
		variadicArgs := make([]api.RequestEditorFn, len(args)-2)
		for i, a := range args[2:] {
			if a != nil {
				variadicArgs[i] = a.(api.RequestEditorFn)
			}
		}
		run(args[0].(context.Context), args[1].(*models.GetLogsParams), variadicArgs...)
	})
	return _c
}

func (_c *MockClientInterface_GetLogs_Call) Return(_a0 *http.Response, _a1 error) *MockClientInterface_GetLogs_Call {
	_c.Call.Return(_a0, _a1)
	return _c
}

func (_c *MockClientInterface_GetLogs_Call) RunAndReturn(run func(context.Context, *models.GetLogsParams, ...api.RequestEditorFn) (*http.Response, error)) *MockClientInterface_GetLogs_Call {
	_c.Call.Return(run)
	return _c
}

// GetPeerInfo provides a mock function with given fields: ctx, reqEditors
func (_m *MockClientInterface) GetPeerInfo(ctx context.Context, reqEditors ...api.RequestEditorFn) (*http.Response, error) {
	_va := make([]interface{}, len(reqEditors))
	for _i := range reqEditors {
		_va[_i] = reqEditors[_i]
	}
	var _ca []interface{}
	_ca = append(_ca, ctx)
	_ca = append(_ca, _va...)
	ret := _m.Called(_ca...)

	if len(ret) == 0 {
		panic("no return value specified for GetPeerInfo")
	}

	var r0 *http.Response
	var r1 error
	if rf, ok := ret.Get(0).(func(context.Context, ...api.RequestEditorFn) (*http.Response, error)); ok {
		return rf(ctx, reqEditors...)
	}
	if rf, ok := ret.Get(0).(func(context.Context, ...api.RequestEditorFn) *http.Response); ok {
		r0 = rf(ctx, reqEditors...)
	} else {
		if ret.Get(0) != nil {
			r0 = ret.Get(0).(*http.Response)
		}
	}

	if rf, ok := ret.Get(1).(func(context.Context, ...api.RequestEditorFn) error); ok {
		r1 = rf(ctx, reqEditors...)
	} else {
		r1 = ret.Error(1)
	}

	return r0, r1
}

// MockClientInterface_GetPeerInfo_Call is a *mock.Call that shadows Run/Return methods with type explicit version for method 'GetPeerInfo'
type MockClientInterface_GetPeerInfo_Call struct {
	*mock.Call
}

// GetPeerInfo is a helper method to define mock.On call
//   - ctx context.Context
//   - reqEditors ...api.RequestEditorFn
func (_e *MockClientInterface_Expecter) GetPeerInfo(ctx interface{}, reqEditors ...interface{}) *MockClientInterface_GetPeerInfo_Call {
	return &MockClientInterface_GetPeerInfo_Call{Call: _e.mock.On("GetPeerInfo",
		append([]interface{}{ctx}, reqEditors...)...)}
}

func (_c *MockClientInterface_GetPeerInfo_Call) Run(run func(ctx context.Context, reqEditors ...api.RequestEditorFn)) *MockClientInterface_GetPeerInfo_Call {
	_c.Call.Run(func(args mock.Arguments) {
		variadicArgs := make([]api.RequestEditorFn, len(args)-1)
		for i, a := range args[1:] {
			if a != nil {
				variadicArgs[i] = a.(api.RequestEditorFn)
			}
		}
		run(args[0].(context.Context), variadicArgs...)
	})
	return _c
}

func (_c *MockClientInterface_GetPeerInfo_Call) Return(_a0 *http.Response, _a1 error) *MockClientInterface_GetPeerInfo_Call {
	_c.Call.Return(_a0, _a1)
	return _c
}

func (_c *MockClientInterface_GetPeerInfo_Call) RunAndReturn(run func(context.Context, ...api.RequestEditorFn) (*http.Response, error)) *MockClientInterface_GetPeerInfo_Call {
	_c.Call.Return(run)
	return _c
}

// GetPeers provides a mock function with given fields: ctx, params, reqEditors
func (_m *MockClientInterface) GetPeers(ctx context.Context, params *models.GetPeersParams, reqEditors ...api.RequestEditorFn) (*http.Response, error) {
	_va := make([]interface{}, len(reqEditors))
	for _i := range reqEditors {
		_va[_i] = reqEditors[_i]
	}
	var _ca []interface{}
	_ca = append(_ca, ctx, params)
	_ca = append(_ca, _va...)
	ret := _m.Called(_ca...)

	if len(ret) == 0 {
		panic("no return value specified for GetPeers")
	}

	var r0 *http.Response
	var r1 error
	if rf, ok := ret.Get(0).(func(context.Context, *models.GetPeersParams, ...api.RequestEditorFn) (*http.Response, error)); ok {
		return rf(ctx, params, reqEditors...)
	}
	if rf, ok := ret.Get(0).(func(context.Context, *models.GetPeersParams, ...api.RequestEditorFn) *http.Response); ok {
		r0 = rf(ctx, params, reqEditors...)
	} else {
		if ret.Get(0) != nil {
			r0 = ret.Get(0).(*http.Response)
		}
	}

	if rf, ok := ret.Get(1).(func(context.Context, *models.GetPeersParams, ...api.RequestEditorFn) error); ok {
		r1 = rf(ctx, params, reqEditors...)
	} else {
		r1 = ret.Error(1)
	}

	return r0, r1
}

// MockClientInterface_GetPeers_Call is a *mock.Call that shadows Run/Return methods with type explicit version for method 'GetPeers'
type MockClientInterface_GetPeers_Call struct {
	*mock.Call
}

// GetPeers is a helper method to define mock.On call
//   - ctx context.Context
//   - params *models.GetPeersParams
//   - reqEditors ...api.RequestEditorFn
func (_e *MockClientInterface_Expecter) GetPeers(ctx interface{}, params interface{}, reqEditors ...interface{}) *MockClientInterface_GetPeers_Call {
	return &MockClientInterface_GetPeers_Call{Call: _e.mock.On("GetPeers",
		append([]interface{}{ctx, params}, reqEditors...)...)}
}

func (_c *MockClientInterface_GetPeers_Call) Run(run func(ctx context.Context, params *models.GetPeersParams, reqEditors ...api.RequestEditorFn)) *MockClientInterface_GetPeers_Call {
	_c.Call.Run(func(args mock.Arguments) {
		variadicArgs := make([]api.RequestEditorFn, len(args)-2)
		for i, a := range args[2:] {
			if a != nil {
				variadicArgs[i] = a.(api.RequestEditorFn)
			}
		}
		run(args[0].(context.Context), args[1].(*models.GetPeersParams), variadicArgs...)
	})
	return _c
}

func (_c *MockClientInterface_GetPeers_Call) Return(_a0 *http.Response, _a1 error) *MockClientInterface_GetPeers_Call {
	_c.Call.Return(_a0, _a1)
	return _c
}

func (_c *MockClientInterface_GetPeers_Call) RunAndReturn(run func(context.Context, *models.GetPeersParams, ...api.RequestEditorFn) (*http.Response, error)) *MockClientInterface_GetPeers_Call {
	_c.Call.Return(run)
	return _c
}

// GetServices provides a mock function with given fields: ctx, params, reqEditors
func (_m *MockClientInterface) GetServices(ctx context.Context, params *models.GetServicesParams, reqEditors ...api.RequestEditorFn) (*http.Response, error) {
	_va := make([]interface{}, len(reqEditors))
	for _i := range reqEditors {
		_va[_i] = reqEditors[_i]
	}
	var _ca []interface{}
	_ca = append(_ca, ctx, params)
	_ca = append(_ca, _va...)
	ret := _m.Called(_ca...)

	if len(ret) == 0 {
		panic("no return value specified for GetServices")
	}

	var r0 *http.Response
	var r1 error
	if rf, ok := ret.Get(0).(func(context.Context, *models.GetServicesParams, ...api.RequestEditorFn) (*http.Response, error)); ok {
		return rf(ctx, params, reqEditors...)
	}
	if rf, ok := ret.Get(0).(func(context.Context, *models.GetServicesParams, ...api.RequestEditorFn) *http.Response); ok {
		r0 = rf(ctx, params, reqEditors...)
	} else {
		if ret.Get(0) != nil {
			r0 = ret.Get(0).(*http.Response)
		}
	}

	if rf, ok := ret.Get(1).(func(context.Context, *models.GetServicesParams, ...api.RequestEditorFn) error); ok {
		r1 = rf(ctx, params, reqEditors...)
	} else {
		r1 = ret.Error(1)
	}

	return r0, r1
}

// MockClientInterface_GetServices_Call is a *mock.Call that shadows Run/Return methods with type explicit version for method 'GetServices'
type MockClientInterface_GetServices_Call struct {
	*mock.Call
}

// GetServices is a helper method to define mock.On call
//   - ctx context.Context
//   - params *models.GetServicesParams
//   - reqEditors ...api.RequestEditorFn
func (_e *MockClientInterface_Expecter) GetServices(ctx interface{}, params interface{}, reqEditors ...interface{}) *MockClientInterface_GetServices_Call {
	return &MockClientInterface_GetServices_Call{Call: _e.mock.On("GetServices",
		append([]interface{}{ctx, params}, reqEditors...)...)}
}

func (_c *MockClientInterface_GetServices_Call) Run(run func(ctx context.Context, params *models.GetServicesParams, reqEditors ...api.RequestEditorFn)) *MockClientInterface_GetServices_Call {
	_c.Call.Run(func(args mock.Arguments) {
		variadicArgs := make([]api.RequestEditorFn, len(args)-2)
		for i, a := range args[2:] {
			if a != nil {
				variadicArgs[i] = a.(api.RequestEditorFn)
			}
		}
		run(args[0].(context.Context), args[1].(*models.GetServicesParams), variadicArgs...)
	})
	return _c
}

func (_c *MockClientInterface_GetServices_Call) Return(_a0 *http.Response, _a1 error) *MockClientInterface_GetServices_Call {
	_c.Call.Return(_a0, _a1)
	return _c
}

func (_c *MockClientInterface_GetServices_Call) RunAndReturn(run func(context.Context, *models.GetServicesParams, ...api.RequestEditorFn) (*http.Response, error)) *MockClientInterface_GetServices_Call {
	_c.Call.Return(run)
	return _c
}

// GetTokenWithBody provides a mock function with given fields: ctx, contentType, body, reqEditors
func (_m *MockClientInterface) GetTokenWithBody(ctx context.Context, contentType string, body io.Reader, reqEditors ...api.RequestEditorFn) (*http.Response, error) {
	_va := make([]interface{}, len(reqEditors))
	for _i := range reqEditors {
		_va[_i] = reqEditors[_i]
	}
	var _ca []interface{}
	_ca = append(_ca, ctx, contentType, body)
	_ca = append(_ca, _va...)
	ret := _m.Called(_ca...)

	if len(ret) == 0 {
		panic("no return value specified for GetTokenWithBody")
	}

	var r0 *http.Response
	var r1 error
	if rf, ok := ret.Get(0).(func(context.Context, string, io.Reader, ...api.RequestEditorFn) (*http.Response, error)); ok {
		return rf(ctx, contentType, body, reqEditors...)
	}
	if rf, ok := ret.Get(0).(func(context.Context, string, io.Reader, ...api.RequestEditorFn) *http.Response); ok {
		r0 = rf(ctx, contentType, body, reqEditors...)
	} else {
		if ret.Get(0) != nil {
			r0 = ret.Get(0).(*http.Response)
		}
	}

	if rf, ok := ret.Get(1).(func(context.Context, string, io.Reader, ...api.RequestEditorFn) error); ok {
		r1 = rf(ctx, contentType, body, reqEditors...)
	} else {
		r1 = ret.Error(1)
	}

	return r0, r1
}

// MockClientInterface_GetTokenWithBody_Call is a *mock.Call that shadows Run/Return methods with type explicit version for method 'GetTokenWithBody'
type MockClientInterface_GetTokenWithBody_Call struct {
	*mock.Call
}

// GetTokenWithBody is a helper method to define mock.On call
//   - ctx context.Context
//   - contentType string
//   - body io.Reader
//   - reqEditors ...api.RequestEditorFn
func (_e *MockClientInterface_Expecter) GetTokenWithBody(ctx interface{}, contentType interface{}, body interface{}, reqEditors ...interface{}) *MockClientInterface_GetTokenWithBody_Call {
	return &MockClientInterface_GetTokenWithBody_Call{Call: _e.mock.On("GetTokenWithBody",
		append([]interface{}{ctx, contentType, body}, reqEditors...)...)}
}

func (_c *MockClientInterface_GetTokenWithBody_Call) Run(run func(ctx context.Context, contentType string, body io.Reader, reqEditors ...api.RequestEditorFn)) *MockClientInterface_GetTokenWithBody_Call {
	_c.Call.Run(func(args mock.Arguments) {
		variadicArgs := make([]api.RequestEditorFn, len(args)-3)
		for i, a := range args[3:] {
			if a != nil {
				variadicArgs[i] = a.(api.RequestEditorFn)
			}
		}
		run(args[0].(context.Context), args[1].(string), args[2].(io.Reader), variadicArgs...)
	})
	return _c
}

func (_c *MockClientInterface_GetTokenWithBody_Call) Return(_a0 *http.Response, _a1 error) *MockClientInterface_GetTokenWithBody_Call {
	_c.Call.Return(_a0, _a1)
	return _c
}

func (_c *MockClientInterface_GetTokenWithBody_Call) RunAndReturn(run func(context.Context, string, io.Reader, ...api.RequestEditorFn) (*http.Response, error)) *MockClientInterface_GetTokenWithBody_Call {
	_c.Call.Return(run)
	return _c
}

// GetTokenWithFormdataBody provides a mock function with given fields: ctx, body, reqEditors
func (_m *MockClientInterface) GetTokenWithFormdataBody(ctx context.Context, body models.GetTokenFormdataRequestBody, reqEditors ...api.RequestEditorFn) (*http.Response, error) {
	_va := make([]interface{}, len(reqEditors))
	for _i := range reqEditors {
		_va[_i] = reqEditors[_i]
	}
	var _ca []interface{}
	_ca = append(_ca, ctx, body)
	_ca = append(_ca, _va...)
	ret := _m.Called(_ca...)

	if len(ret) == 0 {
		panic("no return value specified for GetTokenWithFormdataBody")
	}

	var r0 *http.Response
	var r1 error
	if rf, ok := ret.Get(0).(func(context.Context, models.GetTokenFormdataRequestBody, ...api.RequestEditorFn) (*http.Response, error)); ok {
		return rf(ctx, body, reqEditors...)
	}
	if rf, ok := ret.Get(0).(func(context.Context, models.GetTokenFormdataRequestBody, ...api.RequestEditorFn) *http.Response); ok {
		r0 = rf(ctx, body, reqEditors...)
	} else {
		if ret.Get(0) != nil {
			r0 = ret.Get(0).(*http.Response)
		}
	}

	if rf, ok := ret.Get(1).(func(context.Context, models.GetTokenFormdataRequestBody, ...api.RequestEditorFn) error); ok {
		r1 = rf(ctx, body, reqEditors...)
	} else {
		r1 = ret.Error(1)
	}

	return r0, r1
}

// MockClientInterface_GetTokenWithFormdataBody_Call is a *mock.Call that shadows Run/Return methods with type explicit version for method 'GetTokenWithFormdataBody'
type MockClientInterface_GetTokenWithFormdataBody_Call struct {
	*mock.Call
}

// GetTokenWithFormdataBody is a helper method to define mock.On call
//   - ctx context.Context
//   - body models.GetTokenFormdataRequestBody
//   - reqEditors ...api.RequestEditorFn
func (_e *MockClientInterface_Expecter) GetTokenWithFormdataBody(ctx interface{}, body interface{}, reqEditors ...interface{}) *MockClientInterface_GetTokenWithFormdataBody_Call {
	return &MockClientInterface_GetTokenWithFormdataBody_Call{Call: _e.mock.On("GetTokenWithFormdataBody",
		append([]interface{}{ctx, body}, reqEditors...)...)}
}

func (_c *MockClientInterface_GetTokenWithFormdataBody_Call) Run(run func(ctx context.Context, body models.GetTokenFormdataRequestBody, reqEditors ...api.RequestEditorFn)) *MockClientInterface_GetTokenWithFormdataBody_Call {
	_c.Call.Run(func(args mock.Arguments) {
		variadicArgs := make([]api.RequestEditorFn, len(args)-2)
		for i, a := range args[2:] {
			if a != nil {
				variadicArgs[i] = a.(api.RequestEditorFn)
			}
		}
		run(args[0].(context.Context), args[1].(models.GetTokenFormdataRequestBody), variadicArgs...)
	})
	return _c
}

func (_c *MockClientInterface_GetTokenWithFormdataBody_Call) Return(_a0 *http.Response, _a1 error) *MockClientInterface_GetTokenWithFormdataBody_Call {
	_c.Call.Return(_a0, _a1)
	return _c
}

func (_c *MockClientInterface_GetTokenWithFormdataBody_Call) RunAndReturn(run func(context.Context, models.GetTokenFormdataRequestBody, ...api.RequestEditorFn) (*http.Response, error)) *MockClientInterface_GetTokenWithFormdataBody_Call {
	_c.Call.Return(run)
	return _c
}

// RejectContract provides a mock function with given fields: ctx, hash, params, body, reqEditors
func (_m *MockClientInterface) RejectContract(ctx context.Context, hash string, params *models.RejectContractParams, body models.RejectContractJSONRequestBody, reqEditors ...api.RequestEditorFn) (*http.Response, error) {
	_va := make([]interface{}, len(reqEditors))
	for _i := range reqEditors {
		_va[_i] = reqEditors[_i]
	}
	var _ca []interface{}
	_ca = append(_ca, ctx, hash, params, body)
	_ca = append(_ca, _va...)
	ret := _m.Called(_ca...)

	if len(ret) == 0 {
		panic("no return value specified for RejectContract")
	}

	var r0 *http.Response
	var r1 error
	if rf, ok := ret.Get(0).(func(context.Context, string, *models.RejectContractParams, models.RejectContractJSONRequestBody, ...api.RequestEditorFn) (*http.Response, error)); ok {
		return rf(ctx, hash, params, body, reqEditors...)
	}
	if rf, ok := ret.Get(0).(func(context.Context, string, *models.RejectContractParams, models.RejectContractJSONRequestBody, ...api.RequestEditorFn) *http.Response); ok {
		r0 = rf(ctx, hash, params, body, reqEditors...)
	} else {
		if ret.Get(0) != nil {
			r0 = ret.Get(0).(*http.Response)
		}
	}

	if rf, ok := ret.Get(1).(func(context.Context, string, *models.RejectContractParams, models.RejectContractJSONRequestBody, ...api.RequestEditorFn) error); ok {
		r1 = rf(ctx, hash, params, body, reqEditors...)
	} else {
		r1 = ret.Error(1)
	}

	return r0, r1
}

// MockClientInterface_RejectContract_Call is a *mock.Call that shadows Run/Return methods with type explicit version for method 'RejectContract'
type MockClientInterface_RejectContract_Call struct {
	*mock.Call
}

// RejectContract is a helper method to define mock.On call
//   - ctx context.Context
//   - hash string
//   - params *models.RejectContractParams
//   - body models.RejectContractJSONRequestBody
//   - reqEditors ...api.RequestEditorFn
func (_e *MockClientInterface_Expecter) RejectContract(ctx interface{}, hash interface{}, params interface{}, body interface{}, reqEditors ...interface{}) *MockClientInterface_RejectContract_Call {
	return &MockClientInterface_RejectContract_Call{Call: _e.mock.On("RejectContract",
		append([]interface{}{ctx, hash, params, body}, reqEditors...)...)}
}

func (_c *MockClientInterface_RejectContract_Call) Run(run func(ctx context.Context, hash string, params *models.RejectContractParams, body models.RejectContractJSONRequestBody, reqEditors ...api.RequestEditorFn)) *MockClientInterface_RejectContract_Call {
	_c.Call.Run(func(args mock.Arguments) {
		variadicArgs := make([]api.RequestEditorFn, len(args)-4)
		for i, a := range args[4:] {
			if a != nil {
				variadicArgs[i] = a.(api.RequestEditorFn)
			}
		}
		run(args[0].(context.Context), args[1].(string), args[2].(*models.RejectContractParams), args[3].(models.RejectContractJSONRequestBody), variadicArgs...)
	})
	return _c
}

func (_c *MockClientInterface_RejectContract_Call) Return(_a0 *http.Response, _a1 error) *MockClientInterface_RejectContract_Call {
	_c.Call.Return(_a0, _a1)
	return _c
}

func (_c *MockClientInterface_RejectContract_Call) RunAndReturn(run func(context.Context, string, *models.RejectContractParams, models.RejectContractJSONRequestBody, ...api.RequestEditorFn) (*http.Response, error)) *MockClientInterface_RejectContract_Call {
	_c.Call.Return(run)
	return _c
}

// RejectContractWithBody provides a mock function with given fields: ctx, hash, params, contentType, body, reqEditors
func (_m *MockClientInterface) RejectContractWithBody(ctx context.Context, hash string, params *models.RejectContractParams, contentType string, body io.Reader, reqEditors ...api.RequestEditorFn) (*http.Response, error) {
	_va := make([]interface{}, len(reqEditors))
	for _i := range reqEditors {
		_va[_i] = reqEditors[_i]
	}
	var _ca []interface{}
	_ca = append(_ca, ctx, hash, params, contentType, body)
	_ca = append(_ca, _va...)
	ret := _m.Called(_ca...)

	if len(ret) == 0 {
		panic("no return value specified for RejectContractWithBody")
	}

	var r0 *http.Response
	var r1 error
	if rf, ok := ret.Get(0).(func(context.Context, string, *models.RejectContractParams, string, io.Reader, ...api.RequestEditorFn) (*http.Response, error)); ok {
		return rf(ctx, hash, params, contentType, body, reqEditors...)
	}
	if rf, ok := ret.Get(0).(func(context.Context, string, *models.RejectContractParams, string, io.Reader, ...api.RequestEditorFn) *http.Response); ok {
		r0 = rf(ctx, hash, params, contentType, body, reqEditors...)
	} else {
		if ret.Get(0) != nil {
			r0 = ret.Get(0).(*http.Response)
		}
	}

	if rf, ok := ret.Get(1).(func(context.Context, string, *models.RejectContractParams, string, io.Reader, ...api.RequestEditorFn) error); ok {
		r1 = rf(ctx, hash, params, contentType, body, reqEditors...)
	} else {
		r1 = ret.Error(1)
	}

	return r0, r1
}

// MockClientInterface_RejectContractWithBody_Call is a *mock.Call that shadows Run/Return methods with type explicit version for method 'RejectContractWithBody'
type MockClientInterface_RejectContractWithBody_Call struct {
	*mock.Call
}

// RejectContractWithBody is a helper method to define mock.On call
//   - ctx context.Context
//   - hash string
//   - params *models.RejectContractParams
//   - contentType string
//   - body io.Reader
//   - reqEditors ...api.RequestEditorFn
func (_e *MockClientInterface_Expecter) RejectContractWithBody(ctx interface{}, hash interface{}, params interface{}, contentType interface{}, body interface{}, reqEditors ...interface{}) *MockClientInterface_RejectContractWithBody_Call {
	return &MockClientInterface_RejectContractWithBody_Call{Call: _e.mock.On("RejectContractWithBody",
		append([]interface{}{ctx, hash, params, contentType, body}, reqEditors...)...)}
}

func (_c *MockClientInterface_RejectContractWithBody_Call) Run(run func(ctx context.Context, hash string, params *models.RejectContractParams, contentType string, body io.Reader, reqEditors ...api.RequestEditorFn)) *MockClientInterface_RejectContractWithBody_Call {
	_c.Call.Run(func(args mock.Arguments) {
		variadicArgs := make([]api.RequestEditorFn, len(args)-5)
		for i, a := range args[5:] {
			if a != nil {
				variadicArgs[i] = a.(api.RequestEditorFn)
			}
		}
		run(args[0].(context.Context), args[1].(string), args[2].(*models.RejectContractParams), args[3].(string), args[4].(io.Reader), variadicArgs...)
	})
	return _c
}

func (_c *MockClientInterface_RejectContractWithBody_Call) Return(_a0 *http.Response, _a1 error) *MockClientInterface_RejectContractWithBody_Call {
	_c.Call.Return(_a0, _a1)
	return _c
}

func (_c *MockClientInterface_RejectContractWithBody_Call) RunAndReturn(run func(context.Context, string, *models.RejectContractParams, string, io.Reader, ...api.RequestEditorFn) (*http.Response, error)) *MockClientInterface_RejectContractWithBody_Call {
	_c.Call.Return(run)
	return _c
}

// RevokeContract provides a mock function with given fields: ctx, hash, params, body, reqEditors
func (_m *MockClientInterface) RevokeContract(ctx context.Context, hash string, params *models.RevokeContractParams, body models.RevokeContractJSONRequestBody, reqEditors ...api.RequestEditorFn) (*http.Response, error) {
	_va := make([]interface{}, len(reqEditors))
	for _i := range reqEditors {
		_va[_i] = reqEditors[_i]
	}
	var _ca []interface{}
	_ca = append(_ca, ctx, hash, params, body)
	_ca = append(_ca, _va...)
	ret := _m.Called(_ca...)

	if len(ret) == 0 {
		panic("no return value specified for RevokeContract")
	}

	var r0 *http.Response
	var r1 error
	if rf, ok := ret.Get(0).(func(context.Context, string, *models.RevokeContractParams, models.RevokeContractJSONRequestBody, ...api.RequestEditorFn) (*http.Response, error)); ok {
		return rf(ctx, hash, params, body, reqEditors...)
	}
	if rf, ok := ret.Get(0).(func(context.Context, string, *models.RevokeContractParams, models.RevokeContractJSONRequestBody, ...api.RequestEditorFn) *http.Response); ok {
		r0 = rf(ctx, hash, params, body, reqEditors...)
	} else {
		if ret.Get(0) != nil {
			r0 = ret.Get(0).(*http.Response)
		}
	}

	if rf, ok := ret.Get(1).(func(context.Context, string, *models.RevokeContractParams, models.RevokeContractJSONRequestBody, ...api.RequestEditorFn) error); ok {
		r1 = rf(ctx, hash, params, body, reqEditors...)
	} else {
		r1 = ret.Error(1)
	}

	return r0, r1
}

// MockClientInterface_RevokeContract_Call is a *mock.Call that shadows Run/Return methods with type explicit version for method 'RevokeContract'
type MockClientInterface_RevokeContract_Call struct {
	*mock.Call
}

// RevokeContract is a helper method to define mock.On call
//   - ctx context.Context
//   - hash string
//   - params *models.RevokeContractParams
//   - body models.RevokeContractJSONRequestBody
//   - reqEditors ...api.RequestEditorFn
func (_e *MockClientInterface_Expecter) RevokeContract(ctx interface{}, hash interface{}, params interface{}, body interface{}, reqEditors ...interface{}) *MockClientInterface_RevokeContract_Call {
	return &MockClientInterface_RevokeContract_Call{Call: _e.mock.On("RevokeContract",
		append([]interface{}{ctx, hash, params, body}, reqEditors...)...)}
}

func (_c *MockClientInterface_RevokeContract_Call) Run(run func(ctx context.Context, hash string, params *models.RevokeContractParams, body models.RevokeContractJSONRequestBody, reqEditors ...api.RequestEditorFn)) *MockClientInterface_RevokeContract_Call {
	_c.Call.Run(func(args mock.Arguments) {
		variadicArgs := make([]api.RequestEditorFn, len(args)-4)
		for i, a := range args[4:] {
			if a != nil {
				variadicArgs[i] = a.(api.RequestEditorFn)
			}
		}
		run(args[0].(context.Context), args[1].(string), args[2].(*models.RevokeContractParams), args[3].(models.RevokeContractJSONRequestBody), variadicArgs...)
	})
	return _c
}

func (_c *MockClientInterface_RevokeContract_Call) Return(_a0 *http.Response, _a1 error) *MockClientInterface_RevokeContract_Call {
	_c.Call.Return(_a0, _a1)
	return _c
}

func (_c *MockClientInterface_RevokeContract_Call) RunAndReturn(run func(context.Context, string, *models.RevokeContractParams, models.RevokeContractJSONRequestBody, ...api.RequestEditorFn) (*http.Response, error)) *MockClientInterface_RevokeContract_Call {
	_c.Call.Return(run)
	return _c
}

// RevokeContractWithBody provides a mock function with given fields: ctx, hash, params, contentType, body, reqEditors
func (_m *MockClientInterface) RevokeContractWithBody(ctx context.Context, hash string, params *models.RevokeContractParams, contentType string, body io.Reader, reqEditors ...api.RequestEditorFn) (*http.Response, error) {
	_va := make([]interface{}, len(reqEditors))
	for _i := range reqEditors {
		_va[_i] = reqEditors[_i]
	}
	var _ca []interface{}
	_ca = append(_ca, ctx, hash, params, contentType, body)
	_ca = append(_ca, _va...)
	ret := _m.Called(_ca...)

	if len(ret) == 0 {
		panic("no return value specified for RevokeContractWithBody")
	}

	var r0 *http.Response
	var r1 error
	if rf, ok := ret.Get(0).(func(context.Context, string, *models.RevokeContractParams, string, io.Reader, ...api.RequestEditorFn) (*http.Response, error)); ok {
		return rf(ctx, hash, params, contentType, body, reqEditors...)
	}
	if rf, ok := ret.Get(0).(func(context.Context, string, *models.RevokeContractParams, string, io.Reader, ...api.RequestEditorFn) *http.Response); ok {
		r0 = rf(ctx, hash, params, contentType, body, reqEditors...)
	} else {
		if ret.Get(0) != nil {
			r0 = ret.Get(0).(*http.Response)
		}
	}

	if rf, ok := ret.Get(1).(func(context.Context, string, *models.RevokeContractParams, string, io.Reader, ...api.RequestEditorFn) error); ok {
		r1 = rf(ctx, hash, params, contentType, body, reqEditors...)
	} else {
		r1 = ret.Error(1)
	}

	return r0, r1
}

// MockClientInterface_RevokeContractWithBody_Call is a *mock.Call that shadows Run/Return methods with type explicit version for method 'RevokeContractWithBody'
type MockClientInterface_RevokeContractWithBody_Call struct {
	*mock.Call
}

// RevokeContractWithBody is a helper method to define mock.On call
//   - ctx context.Context
//   - hash string
//   - params *models.RevokeContractParams
//   - contentType string
//   - body io.Reader
//   - reqEditors ...api.RequestEditorFn
func (_e *MockClientInterface_Expecter) RevokeContractWithBody(ctx interface{}, hash interface{}, params interface{}, contentType interface{}, body interface{}, reqEditors ...interface{}) *MockClientInterface_RevokeContractWithBody_Call {
	return &MockClientInterface_RevokeContractWithBody_Call{Call: _e.mock.On("RevokeContractWithBody",
		append([]interface{}{ctx, hash, params, contentType, body}, reqEditors...)...)}
}

func (_c *MockClientInterface_RevokeContractWithBody_Call) Run(run func(ctx context.Context, hash string, params *models.RevokeContractParams, contentType string, body io.Reader, reqEditors ...api.RequestEditorFn)) *MockClientInterface_RevokeContractWithBody_Call {
	_c.Call.Run(func(args mock.Arguments) {
		variadicArgs := make([]api.RequestEditorFn, len(args)-5)
		for i, a := range args[5:] {
			if a != nil {
				variadicArgs[i] = a.(api.RequestEditorFn)
			}
		}
		run(args[0].(context.Context), args[1].(string), args[2].(*models.RevokeContractParams), args[3].(string), args[4].(io.Reader), variadicArgs...)
	})
	return _c
}

func (_c *MockClientInterface_RevokeContractWithBody_Call) Return(_a0 *http.Response, _a1 error) *MockClientInterface_RevokeContractWithBody_Call {
	_c.Call.Return(_a0, _a1)
	return _c
}

func (_c *MockClientInterface_RevokeContractWithBody_Call) RunAndReturn(run func(context.Context, string, *models.RevokeContractParams, string, io.Reader, ...api.RequestEditorFn) (*http.Response, error)) *MockClientInterface_RevokeContractWithBody_Call {
	_c.Call.Return(run)
	return _c
}

// SubmitContract provides a mock function with given fields: ctx, params, body, reqEditors
func (_m *MockClientInterface) SubmitContract(ctx context.Context, params *models.SubmitContractParams, body models.SubmitContractJSONRequestBody, reqEditors ...api.RequestEditorFn) (*http.Response, error) {
	_va := make([]interface{}, len(reqEditors))
	for _i := range reqEditors {
		_va[_i] = reqEditors[_i]
	}
	var _ca []interface{}
	_ca = append(_ca, ctx, params, body)
	_ca = append(_ca, _va...)
	ret := _m.Called(_ca...)

	if len(ret) == 0 {
		panic("no return value specified for SubmitContract")
	}

	var r0 *http.Response
	var r1 error
	if rf, ok := ret.Get(0).(func(context.Context, *models.SubmitContractParams, models.SubmitContractJSONRequestBody, ...api.RequestEditorFn) (*http.Response, error)); ok {
		return rf(ctx, params, body, reqEditors...)
	}
	if rf, ok := ret.Get(0).(func(context.Context, *models.SubmitContractParams, models.SubmitContractJSONRequestBody, ...api.RequestEditorFn) *http.Response); ok {
		r0 = rf(ctx, params, body, reqEditors...)
	} else {
		if ret.Get(0) != nil {
			r0 = ret.Get(0).(*http.Response)
		}
	}

	if rf, ok := ret.Get(1).(func(context.Context, *models.SubmitContractParams, models.SubmitContractJSONRequestBody, ...api.RequestEditorFn) error); ok {
		r1 = rf(ctx, params, body, reqEditors...)
	} else {
		r1 = ret.Error(1)
	}

	return r0, r1
}

// MockClientInterface_SubmitContract_Call is a *mock.Call that shadows Run/Return methods with type explicit version for method 'SubmitContract'
type MockClientInterface_SubmitContract_Call struct {
	*mock.Call
}

// SubmitContract is a helper method to define mock.On call
//   - ctx context.Context
//   - params *models.SubmitContractParams
//   - body models.SubmitContractJSONRequestBody
//   - reqEditors ...api.RequestEditorFn
func (_e *MockClientInterface_Expecter) SubmitContract(ctx interface{}, params interface{}, body interface{}, reqEditors ...interface{}) *MockClientInterface_SubmitContract_Call {
	return &MockClientInterface_SubmitContract_Call{Call: _e.mock.On("SubmitContract",
		append([]interface{}{ctx, params, body}, reqEditors...)...)}
}

func (_c *MockClientInterface_SubmitContract_Call) Run(run func(ctx context.Context, params *models.SubmitContractParams, body models.SubmitContractJSONRequestBody, reqEditors ...api.RequestEditorFn)) *MockClientInterface_SubmitContract_Call {
	_c.Call.Run(func(args mock.Arguments) {
		variadicArgs := make([]api.RequestEditorFn, len(args)-3)
		for i, a := range args[3:] {
			if a != nil {
				variadicArgs[i] = a.(api.RequestEditorFn)
			}
		}
		run(args[0].(context.Context), args[1].(*models.SubmitContractParams), args[2].(models.SubmitContractJSONRequestBody), variadicArgs...)
	})
	return _c
}

func (_c *MockClientInterface_SubmitContract_Call) Return(_a0 *http.Response, _a1 error) *MockClientInterface_SubmitContract_Call {
	_c.Call.Return(_a0, _a1)
	return _c
}

func (_c *MockClientInterface_SubmitContract_Call) RunAndReturn(run func(context.Context, *models.SubmitContractParams, models.SubmitContractJSONRequestBody, ...api.RequestEditorFn) (*http.Response, error)) *MockClientInterface_SubmitContract_Call {
	_c.Call.Return(run)
	return _c
}

// SubmitContractWithBody provides a mock function with given fields: ctx, params, contentType, body, reqEditors
func (_m *MockClientInterface) SubmitContractWithBody(ctx context.Context, params *models.SubmitContractParams, contentType string, body io.Reader, reqEditors ...api.RequestEditorFn) (*http.Response, error) {
	_va := make([]interface{}, len(reqEditors))
	for _i := range reqEditors {
		_va[_i] = reqEditors[_i]
	}
	var _ca []interface{}
	_ca = append(_ca, ctx, params, contentType, body)
	_ca = append(_ca, _va...)
	ret := _m.Called(_ca...)

	if len(ret) == 0 {
		panic("no return value specified for SubmitContractWithBody")
	}

	var r0 *http.Response
	var r1 error
	if rf, ok := ret.Get(0).(func(context.Context, *models.SubmitContractParams, string, io.Reader, ...api.RequestEditorFn) (*http.Response, error)); ok {
		return rf(ctx, params, contentType, body, reqEditors...)
	}
	if rf, ok := ret.Get(0).(func(context.Context, *models.SubmitContractParams, string, io.Reader, ...api.RequestEditorFn) *http.Response); ok {
		r0 = rf(ctx, params, contentType, body, reqEditors...)
	} else {
		if ret.Get(0) != nil {
			r0 = ret.Get(0).(*http.Response)
		}
	}

	if rf, ok := ret.Get(1).(func(context.Context, *models.SubmitContractParams, string, io.Reader, ...api.RequestEditorFn) error); ok {
		r1 = rf(ctx, params, contentType, body, reqEditors...)
	} else {
		r1 = ret.Error(1)
	}

	return r0, r1
}

// MockClientInterface_SubmitContractWithBody_Call is a *mock.Call that shadows Run/Return methods with type explicit version for method 'SubmitContractWithBody'
type MockClientInterface_SubmitContractWithBody_Call struct {
	*mock.Call
}

// SubmitContractWithBody is a helper method to define mock.On call
//   - ctx context.Context
//   - params *models.SubmitContractParams
//   - contentType string
//   - body io.Reader
//   - reqEditors ...api.RequestEditorFn
func (_e *MockClientInterface_Expecter) SubmitContractWithBody(ctx interface{}, params interface{}, contentType interface{}, body interface{}, reqEditors ...interface{}) *MockClientInterface_SubmitContractWithBody_Call {
	return &MockClientInterface_SubmitContractWithBody_Call{Call: _e.mock.On("SubmitContractWithBody",
		append([]interface{}{ctx, params, contentType, body}, reqEditors...)...)}
}

func (_c *MockClientInterface_SubmitContractWithBody_Call) Run(run func(ctx context.Context, params *models.SubmitContractParams, contentType string, body io.Reader, reqEditors ...api.RequestEditorFn)) *MockClientInterface_SubmitContractWithBody_Call {
	_c.Call.Run(func(args mock.Arguments) {
		variadicArgs := make([]api.RequestEditorFn, len(args)-4)
		for i, a := range args[4:] {
			if a != nil {
				variadicArgs[i] = a.(api.RequestEditorFn)
			}
		}
		run(args[0].(context.Context), args[1].(*models.SubmitContractParams), args[2].(string), args[3].(io.Reader), variadicArgs...)
	})
	return _c
}

func (_c *MockClientInterface_SubmitContractWithBody_Call) Return(_a0 *http.Response, _a1 error) *MockClientInterface_SubmitContractWithBody_Call {
	_c.Call.Return(_a0, _a1)
	return _c
}

func (_c *MockClientInterface_SubmitContractWithBody_Call) RunAndReturn(run func(context.Context, *models.SubmitContractParams, string, io.Reader, ...api.RequestEditorFn) (*http.Response, error)) *MockClientInterface_SubmitContractWithBody_Call {
	_c.Call.Return(run)
	return _c
}

// NewMockClientInterface creates a new instance of MockClientInterface. It also registers a testing interface on the mock and a cleanup function to assert the mocks expectations.
// The first argument is typically a *testing.T value.
func NewMockClientInterface(t interface {
	mock.TestingT
	Cleanup(func())
}) *MockClientInterface {
	mock := &MockClientInterface{}
	mock.Mock.Test(t)

	t.Cleanup(func() { mock.AssertExpectations(t) })

	return mock
}
